%define name    kxdocker
%define version 1.1.4
%define release %mkrel 5
%define Summary KXDocker is an innovative docker for KDE, it's very similar to Mac OSX Docker

%define major 0
%define libname_orig   lib%{name}
%define libname %mklibname %{name} %{major}

Summary:        %{Summary}
Name:           %{name}
Version:        %{version}
Release:        %{release}

License:        GPL
Group:          Graphical desktop/KDE
Source0:        %{name}-%{version}a.tar.bz2

# theme
Source1:        kxdocker.tar.bz2

Url:            http://www.xiaprojects.com/www/prodotti/kxdocker/main.php
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  kdelibs-devel
BuildRequires:  libxtst-devel 

%description
KXDocker is an innovative docker for KDE, it's very similar to Mac OSX Docker.

%package -n     %{libname}
Summary:        Libraries needed by %{name}
Group:          System/Libraries
Provides:       %{libname_orig} = %{version}-%{release}

%description -n %{libname}
Libraries needed for %{name}

%package -n     %{libname}-devel
Summary:        Development tools for %name
Group:          Development/C++
Requires:       %{libname} = %{version}
Provides:       %{libname_orig}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
This package contains the header files
needed for development with %{name}.

%prep
%setup -q -n %name-%{version}a

%build
%configure     --enable-debug=full \
%if "%{_lib}" != "lib"
               --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})"
%endif

make clean
make

%install
rm -rf %buildroot
%makeinstall

# Menu
install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "System" $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/kxdocker.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

tar -jxf %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/apps/

%find_lang %{name}

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%_bindir/kxdocker
%_menudir/*

%_datadir/applnk/Utilities/kxdocker.desktop

%dir %_datadir/apps/kxdocker/
%_datadir/apps/kxdocker/kxdocker_conf.xml
%_datadir/apps/kxdocker/kxdocker_conf_default.xml
%_datadir/apps/kxdocker/kxdockerui.rc

%dir %_docdir/HTML/en/kxdocker/
%doc %_docdir/HTML/en/kxdocker/common
%doc %_docdir/HTML/en/kxdocker/*.bz2
%doc %_docdir/HTML/en/kxdocker/*.docbook


%_datadir/icons/hicolor/128x128/apps/kxdocker.png
%_datadir/icons/hicolor/16x16/apps/kxdocker.png
%_datadir/icons/hicolor/22x22/apps/kxdocker.png
%_datadir/icons/hicolor/32x32/apps/kxdocker.png
%_datadir/icons/hicolor/48x48/apps/kxdocker.png
%_datadir/icons/hicolor/64x64/apps/kxdocker.png

%dir %_datadir/apps/kxdocker/
%_datadir/apps/kxdocker/kxdocker_resources-0.0.1
%_datadir/apps/kxdocker/kxdocker_resources-0.0.2
%_datadir/apps/kxdocker/kxdocker_resources-0.0.3
%_datadir/apps/kxdocker/kxdocker_resources-0.0.4
%_datadir/apps/kxdocker/kxdocker_resources-0.0.5
%_datadir/apps/kxdocker/kxdocker_resources-0.0.6
%_datadir/apps/kxdocker/kxdocker_resources-0.0.7

%dir %_datadir/apps/kxdocker/plugins/
%_datadir/apps/kxdocker/plugins/*.so

%dir %_datadir/apps/kxdocker/plugins/gbattery/
%_datadir/apps/kxdocker/plugins/gbattery/*.png

%dir %_datadir/apps/kxdocker/plugins/gclock/
%_datadir/apps/kxdocker/plugins/gclock/*.png

%dir %_datadir/apps/kxdocker/plugins/gcpu/
%_datadir/apps/kxdocker/plugins/gcpu/*.png

%dir %_datadir/apps/kxdocker/plugins/gdate/
%_datadir/apps/kxdocker/plugins/gdate/*.png

%dir %_datadir/apps/kxdocker/plugins/gmail/
%_datadir/apps/kxdocker/plugins/gmail/*.png

%dir %_datadir/apps/kxdocker/plugins/gnetio/
%_datadir/apps/kxdocker/plugins/gnetio/*.png

%dir %_datadir/apps/kxdocker/sounds/
%_datadir/apps/kxdocker/sounds/*.wav

%dir %_datadir/apps/kxdocker/themes/
%dir %_datadir/apps/kxdocker/themes/arrows/
%_datadir/apps/kxdocker/themes/arrows/*.png

%dir %_datadir/apps/kxdocker/themes/bar/
%_datadir/apps/kxdocker/themes/bar/*

%dir %_datadir/apps/kxdocker/themes/pillow/
%dir %_datadir/apps/kxdocker/themes/pillow/default/
%_datadir/apps/kxdocker/themes/pillow/default/*.png

%dir %_datadir/apps/kxdocker/themes/poof/
%_datadir/apps/kxdocker/themes/poof/*.png

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%{_libdir}/*.la
%dir %{_libdir}/kxdocker
%{_libdir}/kxdocker/*

%files -n %{libname}-devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so



%changelog
* Wed Aug 30 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-30 11:53:45 (58794)
- Increase release
- Fix some rpmlint warnings
- Add BuildRequires

* Wed Aug 30 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-30 11:47:46 (58787)
- import kxdocker-1.1.4-3mdv2007.0

* Thu Jun 22 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.4-1mdv2007.0
- Rebuild for missing package

* Sat May 20 2006 Laurent MONTEL <lmontel@mandriva.com> 1.1.4-2
- Rebuild

* Tue Apr 18 2006 Lenny Cartier <lenny@mandriva.com> 1.1.4-1mdk
- 1.1.4

* Thu Apr 06 2006 Lenny Cartier <lenny@mandriva.com> 1.1.2-1mdk
- 1.1.2

* Tue Mar 21 2006 Per yvind Karlsen <pkarlsen@mandriva.com> 1.1.1-1mdk
- 1.1.1

* Mon Mar 20 2006 Lenny Cartier <lenny@mandriva.com> 1.1.0-1mdk
- 1.1.0

* Wed Mar 01 2006 Per yvind Karlsen <pkarlsen@mandriva.com> 1.0.0a-1mdk
- 1.0.0a
- add library package
- reenable libtool
- drop debug stuff as rpm now automatically handles it
- disable parallell build as it seems to be broken now

* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 0.39-2mdk
- fix x86_64 build

* Mon Oct 24 2005 Lenny Cartier <lenny@mandriva.com> 0.39-1mdk
- 0.39

* Mon Sep 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.38-1mdk
- New release 0.38
- %mkrel 
- change url

* Mon Jul 04 2005 Lenny Cartier <lenny@mandriva.com> 0.35-1mdk
- 0.35

* Thu Jun 02 2005 Lenny Cartier <lenny@mandriva.com> 0.33-1mdk
- 0.33

* Mon May 02 2005 Laurent MONTEL <lmontel@mandriva.com> 0.31-1mdk
- 0.31

* Mon Apr 11 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.30-1mdk
- 0.30

* Fri Feb 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.28-1mdk
- 0.28

* Mon Jan 17 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.26-1mdk
- 0.26

* Mon Jan 03 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.25-0.fix3.1mdk
- 0.25 fix3

* Thu Dec 23 2004 Michael Scherer <misc@mandrake.org> 0.24-4mdk
- Add summary

* Thu Dec 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.24-3mdk
- Add debug

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.24-2mdk
- Add theme

* Mon Dec 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.24-1mdk
- Initial package

